@import "@/styles/variables";

.wrapper {
    & > :not(:last-child) {
        border-bottom: 1px solid $gray-light;
    }
}

.filter-section {
    fieldset {
        border: none;
        padding: 0;
        padding-bottom: 1rem;
    }

    legend {
        display: flex;
        gap: 1rem;
        padding: 1rem 0;
        flex-wrap: nowrap;

        span {
            color: $primary-color-light;
            align-self: center;

            @include h5-mobile;

            @include notebook {
                @include h5-desktop;
            }
        }
    }

    &:focus-visible {
        border: 2px groove $secondary-color;
        padding: 5px;
    }

    &__form-actions {
        @include col;

        align-items: center;
        gap: 1rem;
        padding: 1rem 0;

        .mobile-visible {
            display: flex;

            @include notebook {
                display: none;
            }
        }
    }
}
